petsc-3.12.4 2020-02-04
Report Typos and Errors

# MatAssemblyType

Indicates if the matrix is now to be used, or if you plan to continue to add or insert values to it

### Synopsis

    typedef enum {MAT_FLUSH_ASSEMBLY=1,MAT_FINAL_ASSEMBLY=0} MatAssemblyType;

### See Also

MatAssemblyBegin(), MatAssemblyEnd()

### Level

beginner

### Location

src/mat/../../include/petscmat.h

### Examples

src/mat/examples/tutorials/ex2.c.html
src/mat/examples/tutorials/ex4.c.html
src/mat/examples/tutorials/ex8.c.html
src/mat/examples/tutorials/ex9.c.html
src/mat/examples/tutorials/ex12.c.html
src/mat/examples/tutorials/ex15.c.html
src/mat/examples/tutorials/ex16.c.html
src/mat/examples/tutorials/ex17.c.html
src/mat/examples/tutorials/ex4f.F90.html
src/mat/examples/tutorials/ex15f.F90.html
src/mat/examples/tutorials/ex17f.F90.html
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages